;;; oni-projectile.el --- Projectile configuration   -*- lexical-binding: t; -*-

;; Copyright (C) 2019  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 20190219003930
;; Package-Requires: (projectile ivy)

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; Projectile configuration.

;;; Code:

(require 'projectile)

(setq projectile-known-projects-file
      (concat user-emacs-directory "data/projectile-bookmarks.eld"))

(setq projectile-mode-line-prefix " P")

(setq projectile-cache-file
      (concat user-emacs-directory "data/projectile.cache"))

(setq projectile-completion-system 'ivy)

(add-to-list 'projectile-project-root-files "yarn.lock")
(add-to-list 'projectile-project-root-files "fabfile.py")

(define-key projectile-mode-map (kbd "C-c p") 'projectile-command-map)

;;;###autoload(with-eval-after-load 'projectile (require 'oni-projectile))

;;;###autoload
(projectile-mode)

(provide 'oni-projectile)
;;; oni-projectile.el ends here
